package com.eactive.eai.rms.onl.common.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import com.eactive.eai.rms.common.datasource.DataSourceType;
import com.eactive.eai.rms.onl.common.dao.LogTableDao;

@Service("logTableDeleteService")
public class LogTableDeleteService {

    /**
    * Logger for this class
    */
//    private static final Logger logger = Logger.getLogger(EmptyLogTableService.class);

    @Autowired
    @Qualifier("logTableDao")
    private LogTableDao logTableDao;
    
    public void clearLogTable(DataSourceType targetSchema, String targetTable, String targetDay) {
    	logTableDao.clearLogTable(targetSchema, targetTable, targetDay);
    }
    
    public void truncLogTable(DataSourceType targetSchema, String targetTable) {
    	logTableDao.truncLogTable(targetSchema, targetTable);
    }
    
    public void clearInboundErrorLogTable(DataSourceType targetSchema, String targetDay) {
    	logTableDao.clearInboundErrorLogTable(targetSchema, targetDay);
    }
}
